eio_grp
eio_link
Eio Functions
PHP Manual

# eio_init

(PECL eio = 1.0.0)

eio_init — (Re-)initialize Eio

### Description

void eio_init ( void )

eio_init() (re-)initializes Eio. It allocates memory for internal structures of libeio and Eio itself. You may call eio_init() before using Eio functions. Otherwise it will be called internally first time you invoke an Eio function in a process.

Warning

This deprecated feature will certainly be removed in the future. Since Eio 1.1.0 eio_init() is deprecated. In Eio 1.0.0 because of » libeio's restrictions you must call eio_init() in child process, if you fork one by any means. You have to avoid using Eio in parent process, if you use it in childs.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

eio_grp
eio_link
Eio Functions
PHP Manual